Merge pull request #12 from dart-lang/fixes

(Pre)review tweaks.
diff --git a/drone.sh b/drone.sh
deleted file mode 100755
index 206cadd..0000000
--- a/drone.sh
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/usr/bin/env bash
-set -o xtrace
-
-pub get
-
-# TODO: Remove once https://github.com/drone/drone/issues/821 is fixed.
-export PATH="$PATH":"~/.pub-cache/bin"
-
-# Run tests.
-pub global activate test_runner
-test_runner -v
-
-# TODO: dartanalyzer on all libraries
-
-# Install dart_coveralls; gather and send coverage data.
-if [ "$REPO_TOKEN" ]; then
-  pub global activate dart_coveralls
-  dart_coveralls report --token $REPO_TOKEN --retry 3 test/test.dart
-fi
diff --git a/lib/src/util.dart b/lib/src/util.dart
index dd188d5..d7960e5 100644
--- a/lib/src/util.dart
+++ b/lib/src/util.dart
@@ -8,7 +8,7 @@
 
 /// Transparently call `firstWhere` on a [Stream] or [Iterable].
 // TODO: Remove once https://dartbug.com/ is fixed.
-firstWhere(sequence, test, { orElse() }) => sequence is Iterable ?
+dynamic firstWhere(sequence, test, { orElse() }) => sequence is Iterable ?
   sequence.firstWhere(test, orElse: orElse) :
     _streamFirstWhere(sequence, test, orElse: orElse);
 
@@ -18,4 +18,4 @@
 }
 
 /// The identity function simply returns its argument ([x]).
-identity(x) => x;
+dynamic identity(x) => x;
diff --git a/pubspec.yaml b/pubspec.yaml
index c4687ef..55014fa 100644
--- a/pubspec.yaml
+++ b/pubspec.yaml
@@ -3,8 +3,10 @@
 authors: 
   Dart Team <misc@dartlang.org>
   Sean Eagan <seaneagan1@gmail.com>
-description: Like unix which(1).  Check for and locate installed executables.
+description: Like unix which(1) - check for and locate installed executables.
 homepage: https://github.com/dart-lang/which
+environment:
+  sdk: '>=1.0.0 <2.0.0'
 dependencies:
   path: '>=1.3.1 <2.0.0'
   when: '>=0.2.0 <0.3.0'